Bug 182047 - gcc 4.0.2 reports an internal compiler error when compiling some sources including MMX built-in functions
gcc 4.0.2 reports an internal compiler error when compiling some sources incl...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-19 13:59 EST by MIYASAKA Masaru
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 12:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the preprocessed source (109.71 KB, application/octet-stream)
2006-02-19 14:04 EST, MIYASAKA Masaru
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 26379 None None None Never

  None (edit)
Description MIYASAKA Masaru 2006-02-19 13:59:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; ja-JP; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
gcc 4.0.2 reports an internal compiler error .
The internal error occurs in both -m32 mode and -m64 mode.
Preprocessed source code is attached.

error message:
jdsammmx.c: In function ejpeg_h2v1_fancy_upsample_mmxf:
jdsammmx.c:141: internal compiler error: in trunc_int_for_mode, at explow.c:53


Version-Release number of selected component (if applicable):
gcc-4.0.2-8.fc4

How reproducible:
Always

Steps to Reproduce:
1. compile the attached source.
  

Additional info:
Comment 1 MIYASAKA Masaru 2006-02-19 14:04:36 EST
Created attachment 124867 [details]
the preprocessed source
Comment 3 Jakub Jelinek 2006-03-15 12:58:18 EST
Fixed in gcc-4.1.0-1.  If there will be a FC4 gcc update, this will be included
too, but that is not decided yet.

Note You need to log in before you can comment on or make changes to this bug.